extern crate scryfall;
use scryfall::Scryfall;
use std::env;

fn main() {
    let query = env::args().nth(1).expect("please supply an query");
    let sf = Scryfall::new();

    let mut page = 0;
    loop {
        page = page + 1;
        let result = sf.search(&query, None, page).expect("Search failed");
        println!("Page {}: {:?}", page, result);

        if !result.has_more {
            break;
        }
    }
}
